org.eclipse.rdf4j.rio

## Class RDFHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.rio.RDFHandlerException

- All Implemented Interfaces:
    Serializable

      public class RDFHandlerException
      extends RDF4JException

  An exception that can be thrown by an RDFHandler when it encounters an unrecoverable error. If an exception is associated with the error then this exception can be wrapped in an RDFHandlerException and can later be retrieved from it when the RDFHandlerException is catched using the `getCause()`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFHandlerException(String msg)` Creates a new RDFHandlerException.
    `RDFHandlerException(String msg, Throwable cause)` Creates a new RDFHandlerException wrapping another exception.
    `RDFHandlerException(Throwable cause)` Creates a new RDFHandlerException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFHandlerException

          public RDFHandlerException(String msg)

      Creates a new RDFHandlerException.
      Parameters:
        `msg` - An error message.

    - #### RDFHandlerException

          public RDFHandlerException(Throwable cause)

      Creates a new RDFHandlerException.
      Parameters:
        `cause` - The cause of the exception.

    - #### RDFHandlerException

          public RDFHandlerException(String msg,
                                     Throwable cause)

      Creates a new RDFHandlerException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.